function init(hero) {
    hero.setName("Billy Butcher");
    hero.setTier(8);
    hero.setVersion("Temp-V");
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    hero.addPowers("bfp:temp_v_butcher", "bfp:unleashed_rage", "bfp:oi_ability")
    
    hero.addAttribute("PUNCH_DAMAGE", 20, 0);
    hero.addAttribute("FALL_RESISTANCE", 1, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 1.0, 0);

    hero.addKeyBind("HEAT_VISION", "Heat Vision", 1);
    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 2);
    hero.addKeyBind("CHARGED_BEAM", "Laser Blast", 3);
    hero.addKeyBind("BLADE", "Oi", 4);
    hero.addKeyBind("CHARGED_PUNCH", "Oi", 4);
    hero.addKeyBind("GROUND_SMASH", "Ground Smash", 5);


    hero.addAttributeProfile("PUNCH", punchProfile);
    hero.addAttributeProfile("BLUNT", bluntProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function punchProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 30, 0);
    profile.addAttribute("KNOCKBACK", 40.0, 0);
}

function bluntProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 25, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:punchmode") ? "PUNCH" : "BLUNT";
}
